Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 837)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 838)
@@ -170,17 +170,41 @@
 	@Parameter
 	private QueryResult pQueryResult;
 	
+	
+	
+
 	/**
 	 * 
 	 * @param corpus
 	 */
-	public Concordance(Corpus corpus) {
-		super(corpus);
-		if (corpus != null) {
-			this.setCQLSeparator(corpus.getCQLLimitQuery());
+	public Concordance(Corpus corpus)	{
+		this(null, corpus);
+	}
+
+	/**
+	 * 
+	 * @param uuid
+	 */
+	public Concordance(String uuid)	{
+		this(uuid, null);
+	}
+	
+	/**
+	 * 
+	 * @param corpus
+	 */
+	public Concordance(String uuid, Corpus corpus) {
+		super(uuid, corpus);
+		if (this.parent != null) {
+			this.setCQLSeparator(this.getCorpus().getCQLLimitQuery());
 		}
 	}
 
+	/**
+	 * Checks if this concordance is equal to specified concordance.
+	 * @param other
+	 * @return
+	 */
 	public boolean equals(Concordance other) {
 		if (other == null) return false;
 		
@@ -1630,7 +1654,6 @@
 	 * @param query the query to set
 	 */
 	public void setQuery(Query query) {
-		//updateDirty(pQuery, query);
 		this.pQuery = query;
 	}
 
@@ -1678,6 +1701,12 @@
 	public boolean loadParameters() {
 
 		try {
+			
+			if(!this.getStringParameterValue(ConcordancePreferences.QUERY).isEmpty())	{
+				this.setQuery(this.getStringParameterValue(ConcordancePreferences.QUERY));
+			}
+			
+			
 //			this.pTopIndex = this.getIntParameterValue(ConcordancePreferences.TOP_INDEX);
 //			this.pNLinesPerPage = this.getIntParameterValue(ConcordancePreferences.N_LINE_PER_PAGE);
 //
Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 837)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 838)
@@ -627,11 +627,12 @@
 
 	@Override
 	public String getSimpleName() {
-		StringBuffer buffer = new StringBuffer();
-		buffer.append(this.columnsComputing ? "cols" : "rows"); //$NON-NLS-1$
-		buffer.append(this.method);
-		buffer.append(this.metric);
-		buffer.append(this.numberOfClusters);
+		// FIXME: to define
+//		StringBuffer buffer = new StringBuffer();
+//		buffer.append(this.columnsComputing ? "cols" : "rows"); //$NON-NLS-1$
+//		buffer.append(this.method);
+//		buffer.append(this.metric);
+//		buffer.append(this.numberOfClusters);
 		return this.getName();
 	}
 
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 837)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 838)
@@ -1,7 +1,6 @@
 package org.txm.specificities.rcp.editors;
 
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.ToolItem;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
Index: tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 837)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 838)
@@ -1,16 +1,17 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.chartsengine.jfreechart.core;bundle-version="1
- .0.0";visibility:=reexport,org.txm.chartsengine.rcp;bundle-version="1
- .0.0";visibility:=reexport,org.txm.rcp;bundle-version="0.7.8";visibil
- ity:=reexport,org.txm.ca.core;bundle-version="1.0.0";visibility:=reex
- port
-Export-Package: org.txm.chartsengine.jfreechart.rcp,org.txm.chartsengi
- ne.jfreechart.rcp.events,org.txm.chartsengine.jfreechart.rcp.handlers
- ,org.txm.chartsengine.jfreechart.rcp.preferences,org.txm.chartsengine
- .jfreechart.rcp.swt,org.txm.chartsengine.jfreechart.rcp.themes.base.s
- wing,org.txm.chartsengine.jfreechart.rcp.themes.highcharts,org.txm.ch
- artsengine.jfreechart.rcp.themes.highcharts.events,org.txm.chartsengi
- ne.jfreechart.rcp.themes.highcharts.swing
+Require-Bundle: org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.rcp;bundle-version="0.7.8";visibility:=reexport,
+ org.txm.ca.core;bundle-version="1.0.0";visibility:=reexport
+Export-Package: org.txm.chartsengine.jfreechart.rcp,
+ org.txm.chartsengine.jfreechart.rcp.events,
+ org.txm.chartsengine.jfreechart.rcp.handlers,
+ org.txm.chartsengine.jfreechart.rcp.preferences,
+ org.txm.chartsengine.jfreechart.rcp.swt,
+ org.txm.chartsengine.jfreechart.rcp.themes.base.swing,
+ org.txm.chartsengine.jfreechart.rcp.themes.highcharts,
+ org.txm.chartsengine.jfreechart.rcp.themes.highcharts.events,
+ org.txm.chartsengine.jfreechart.rcp.themes.highcharts.swing
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: JFreeChart Charts Engine RCP
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 837)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/preferences/JFCChartsEnginePreferencePage.java	(revision 838)
@@ -61,8 +61,8 @@
 
 		// output formats
 		ArrayList<String> supportedOutputFormats = new ArrayList<String>();
-		supportedOutputFormats.addAll(JFCChartsEngine.getSupportedOutputDisplayFormatsStatic());
-		supportedOutputFormats.addAll(JFCChartsEngine.getSupportedOutputFileFormatsStatic());
+		supportedOutputFormats.addAll(((ChartsEngine) Toolbox.getEngineManager(EngineType.CHARTS).getEngine(JFCChartsEngine.class)).getSupportedOutputDisplayFormats());
+		supportedOutputFormats.addAll(((ChartsEngine) Toolbox.getEngineManager(EngineType.CHARTS).getEngine(JFCChartsEngine.class)).getSupportedOutputFileFormats());
 		
 		// Sort the set
 		TreeSet<String> formatsSet = new TreeSet <String>(supportedOutputFormats);
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/themes/highcharts/events/JFCItemsKeyboardSelectionCallBack.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/themes/highcharts/events/JFCItemsKeyboardSelectionCallBack.java	(revision 837)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/themes/highcharts/events/JFCItemsKeyboardSelectionCallBack.java	(revision 838)
@@ -9,7 +9,7 @@
 import org.jfree.chart.ChartPanel;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
-import org.txm.chartsengine.jfreechart.rcp.JFCChartsSwingComponentsProvider;
+import org.txm.chartsengine.jfreechart.rcp.JFCSWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.events.ItemsKeyboardSelectionCallBack;
 import org.txm.chartsengine.rcp.events.ZoomAndPanCallBack;
 
@@ -55,7 +55,7 @@
 			}
 			
 			if(keyEvent.getKeyCode() == KeyEvent.VK_LEFT || keyEvent.getKeyCode() == KeyEvent.VK_RIGHT)	{
-				IRendererWithItemSelection renderer = (IRendererWithItemSelection) JFCChartsSwingComponentsProvider.getRenderer((ChartPanel) customData);
+				IRendererWithItemSelection renderer = (IRendererWithItemSelection) JFCSWTChartsComponentsProvider.getRenderer((ChartPanel) customData);
 				
 				// Select next item or add it to selection
 				if(keyEvent.getKeyCode() == KeyEvent.VK_RIGHT)	{
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java	(revision 837)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java	(revision 838)
@@ -1,11 +1,13 @@
 package org.txm.chartsengine.jfreechart.rcp;
 
+import java.awt.Component;
 import java.io.File;
 import java.util.ArrayList;
 
 import org.eclipse.swt.widgets.Composite;
 import org.jfree.chart.ChartPanel;
 import org.jfree.chart.JFreeChart;
+import org.jfree.chart.LegendItemSource;
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.Plot;
 import org.jfree.chart.plot.XYPlot;
@@ -30,15 +32,8 @@
 
 
 	/**
-	 * The Swing component provider.
+	 * Default constructor. 
 	 */
-	protected JFCChartsSwingComponentsProvider swingComponentsProvider;
-
-	
-	
-	/**
-	 * 
-	 */
 	public JFCSWTChartsComponentsProvider() {
 		super();
 	}
@@ -49,7 +44,6 @@
 		super.setChartsEngine(chartsEngine);
 		// Redefine the TBX theme to manage UI
 		((JFCChartsEngine) chartsEngine).setTheme(new HighchartsThemeSwing((JFCChartsEngine) chartsEngine));
-		this.swingComponentsProvider = new JFCChartsSwingComponentsProvider(this, (JFCChartsEngine) chartsEngine);;
 	}
 	
 
@@ -74,7 +68,9 @@
 				((IRendererWithItemSelection) chart.getCategoryPlot().getRenderer()).getItemsSelector().setChartPanel(chartPanel);
 			}
 			
+			
 			// update for shared preferences, show title, show legend, colors rendering mode, etc.
+			// FIXME: became uselss?
 //			chartsEngine.updateChart(chart, chartEditorInput.getResult());
 
 			// sets and updates the local preferences node qualifier from the result data
@@ -96,21 +92,11 @@
 
 	@Override
 	public ChartComposite createComposite(ChartEditor chartEditor, Composite parent)	{
-		return JFCSWTChartsComponentsProvider.createCompositeStatic(chartEditor, parent);
+		return new JFCComposite(chartEditor, parent);
 	}
 
 
-	/**
-	 * Creates the chart drawing area composite.
-	 * @param chartEditor
-	 * @param parent
-	 * @return
-	 */
-	public static JFCComposite createCompositeStatic(ChartEditor chartEditor, Composite parent)	{
-		return new JFCComposite(chartEditor, parent);
-	}
 
-
 	@Override
 	public ArrayList<String> getEditorSupportedExportFileFormats()	{
 		return this.chartsEngine.getSupportedOutputFileFormats();
@@ -155,7 +141,7 @@
 		}
 
 		// Export the chart
-		file = JFCChartsEngine.export(composite.getChart(), file, fileFormat, composite.getChartPanel().getWidth(), composite.getChartPanel().getHeight());
+		file = JFCChartsEngine.export(composite.getChart(), file, fileFormat, ((Component) composite.getChartComponent()).getWidth(), ((Component) composite.getChartComponent()).getHeight());
 
 		// Enable back the item selection
 		if(mouseOverItemSelector != null)	{
@@ -167,11 +153,31 @@
 
 
 	/**
-	 * @return the swingComponentsProvider
+	 * Gets the items renderer of the specified plot.
+	 * @param plot
+	 * @return
 	 */
-	public JFCChartsSwingComponentsProvider getSwingComponentsProvider() {
-		return swingComponentsProvider;
+	public static LegendItemSource getRenderer(Plot plot)	{
+		LegendItemSource renderer = null;
+
+		if(plot instanceof XYPlot) {
+			renderer = ((XYPlot) plot).getRenderer();
+		}
+		else if(plot instanceof CategoryPlot)	{
+			renderer = ((CategoryPlot) plot).getRenderer();
+		}
+		
+		return renderer;
 	}
+	
+	/**
+	 * Gets the items renderer associated to the plot linked to the specified chart panel.
+	 * @param panel
+	 * @return
+	 */
+	public static LegendItemSource getRenderer(ChartPanel panel)	{
+		return getRenderer(panel.getChart().getPlot());
+	}
 
 	
 	
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java	(revision 837)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java	(revision 838)
@@ -1,57 +1,29 @@
 package org.txm.chartsengine.jfreechart.rcp.swt;
 
-import java.awt.BorderLayout;
 import java.awt.Component;
-import java.awt.EventQueue;
-import java.awt.Frame;
-import java.io.File;
-import java.util.EventListener;
 
-import javax.swing.JPanel;
-
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.awt.SWT_AWT;
 import org.eclipse.swt.widgets.Composite;
 import org.jfree.chart.ChartMouseListener;
 import org.jfree.chart.ChartPanel;
 import org.jfree.chart.JFreeChart;
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.XYPlot;
-import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 import org.txm.chartsengine.rcp.IChartComponent;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.events.EventCallBackHandler;
-import org.txm.chartsengine.rcp.swt.ChartComposite;
+import org.txm.chartsengine.rcp.swt.SwingChartComposite;
 
 /**
  * JFreeChart SWT composite.
  * @author sjacquot
  *
  */
-public class JFCComposite extends ChartComposite {
+public class JFCComposite extends SwingChartComposite {
 
 
-	// For reducing resize flickering on Windows
-	static	{
-		try {
-			System.setProperty("sun.awt.noerasebackground", "true"); //$NON-NLS-1$ //$NON-NLS-2$
-		}
-		catch (NoSuchMethodError error) {
-		}
-	}
-
-
-
-	protected Frame frame;
-	
-	//FIXME: tests
-	//protected Panel rootPanel;
-	//protected JRootPane rootPanel;
-	protected JPanel rootPanel;
-	
-
 	/**
 	 * Creates a JFreeChart composite.
 	 * @param parent
@@ -61,214 +33,196 @@
 		//super(chartEditor, parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
 		super(chartEditor, parent, SWT.EMBEDDED);
 		//super(parent, SWT.EMBEDDED | SWT.NO_MERGE_PAINTS | SWT.NO_BACKGROUND); // do not fix the transparency problem
-
-		//this.chartComponent = (IChartComponent) panel;
-		// FIXME : transparency doesn't work with tool tips
-		// The problem here is that we normally need a JFrame but it seems to be impossible to embed a JFrame
-//		this.setBackgroundMode(SWT.INHERIT_FORCE); // do not fix
-//		ToolTipManager.sharedInstance().setLightWeightPopupEnabled(true); // do not fix
-
-		this.frame = SWT_AWT.new_Frame(this);
-		// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
-		//this.rootPanel = new Panel(new BorderLayout());
-		//this.rootPanel = new JRootPane();
-		this.rootPanel = new JPanel(new BorderLayout());
-		
-		
-		
-		this.frame.add(this.rootPanel);
-
-
-		
-		this.frame.setVisible(true);
-//		this.frame.pack();
-//		this.pack(true);
-//		parent.pack();
-//		this.layout(true);
-//		parent.layout(true);
-		
-		// To fix MAC OS X + Java 1.7/1.8 SWT_AWT BUG
-		// see: https://bugs.eclipse.org/bugs/show_bug.cgi?id=418245#c12
-//		SwingUtilities.invokeLater(new Runnable() {
 //
+//		//this.chartComponent = (IChartComponent) panel;
+//		// FIXME : transparency doesn't work with tool tips
+//		// The problem here is that we normally need a JFrame but it seems to be impossible to embed a JFrame
+////		this.setBackgroundMode(SWT.INHERIT_FORCE); // do not fix
+////		ToolTipManager.sharedInstance().setLightWeightPopupEnabled(true); // do not fix
 //
-//		   @Override
-//		   public void run() {
+//		this.frame = SWT_AWT.new_Frame(this);
+//		// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
+//		//this.rootPanel = new Panel(new BorderLayout());
+//		//this.rootPanel = new JRootPane();
+//		this.rootPanel = new JPanel(new BorderLayout());
+//		
+//		
+//		
+//		this.frame.add(this.rootPanel);
+//
+//
+//		
+//		this.frame.setVisible(true);
+////		this.frame.pack();
+////		this.pack(true);
+////		parent.pack();
+////		this.layout(true);
+////		parent.layout(true);
+//		
+//		// To fix MAC OS X + Java 1.7/1.8 SWT_AWT BUG
+//		// see: https://bugs.eclipse.org/bugs/show_bug.cgi?id=418245#c12
+////		SwingUtilities.invokeLater(new Runnable() {
+////
+////
+////		   @Override
+////		   public void run() {
+//
+//
+//
+//
+////			// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
+////			this.rootPanel = new Panel(new BorderLayout());
+////			//rootPanel.add(this.getChartPanel()); // commenter cette ligne pour le test de scrolling ci-dessous
+////			this.frame.add(this.rootPanel);
+//
+//
+//			// FIXME: test, smarter way to embed the frame ? Actually it doesn't fix neither the tooltip transparency nor the cursor change on pan under Mac OS X
+//	//		// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
+//	//		Panel rootPanel = new Panel(new BorderLayout());
+//	////		rootPanel.add(this.chartPanel); // commenter cette ligne pour le test de scrolling ci-dessous
+//	//		frame.add(rootPanel);
+//	//		JRootPane rootPane = new JRootPane();
+//	//		rootPanel.add(rootPane);
+//	//		rootPane.getContentPane().add(this.chartPanel);
+//
+//
+//
+//			// FIXME: tests with a JApplet as Rootpane rather than Panel
+//	//		JApplet rootPanel = new JApplet();
+//	//		rootPanel.add(this.chartPanel); // commenter cette ligne pour le test de scrolling ci-dessous
+//	//		frame.add(rootPanel);
+//
+//
+//
+//
+//			// FIXME : tests scroll Swing: les width des panel sont définies dans les méthodes de JFCChartsSwingComponentsProvider
+//			// FIXME : ce code fait bugger le changement de couleur des barres au mouse over et la bordure colorée des tooltips
+//			// FIXME : ce code augmente à fond la RAM consommée, il y a un prob de composants en double ?
+//			// En fait c'est un problème Java2D apparemment et qui semble "normal"
+//			//panel.setPreferredSize(new Dimension(20000, 300));
+//	//		JScrollPane scrollpane = new JScrollPane(panel, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
+//	//		frame.add(scrollpane);
+//
+//
+//
+//			// FIXME : version AWT
+//			// FIXME : ce code aussi n'augmente pas la RAM consommée ? à moins que ce soit uniquement quand la largeur du panel est large (bug de JFC sur les larges plots ?)
+//	//		ScrollPane scrollpane = new ScrollPane();
+//	//		scrollpane.add(panel);
+//	//		frame.add(scrollpane);
+//
+//			//frame.pack();
+//
+//
+//			// FIXME : test scroll SWT : fonctionne presque
+//	//		ScrolledComposite scrolledComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.V_SCROLL);
+//	//		scrolledComposite.setExpandHorizontal(true);
+//	//		scrolledComposite.setExpandVertical(true);
+//	//		//parent.setLayout(new GridLayout(1, true));
+//	//		parent.setLayout(new FillLayout(SWT.VERTICAL));
+//	//		//parent.setLayout(new FormLayout());
+//	//		this.setParent(scrolledComposite);
+//	//		//this.setLayout(new FillLayout());
+//	//
+//	//		scrolledComposite.setContent(this);
+//	//		scrolledComposite.setAlwaysShowScrollBars(true);
+//	//
+//	//		scrolledComposite.setMinSize(16000, 0);
+//			// ********** Fin test 1
+//
+//
+//
+//			// FIXME : test scroll SWT
+//	//		ScrolledComposite scrolledComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.V_SCROLL);
+//	//		scrolledComposite.setExpandHorizontal(true);
+//	//		scrolledComposite.setExpandVertical(true);
+//	//		//parent.setLayout(new GridLayout(1, true));
+//	//		parent.setLayout(new FormLayout());
+//	//		this.setParent(scrolledComposite);
+//	//		this.setLayout(new FillLayout());
+//	//
+//	//		scrolledComposite.setContent(this);
+//	//		scrolledComposite.setAlwaysShowScrollBars(true);
+//	//
+//	//		scrolledComposite.setMinSize(16000, 500);
+//	//
+//	//		this.setSize(16000, 500);
+//
+//
+//			//scrolledComposite.pack(true);
+//			//scrolledComposite.setMinSize(parent.computeSize(SWT.DEFAULT, SWT.DEFAULT));
+//
+//	//		frame.pack();
+//	//		System.err.println("JFCComposite.JFCComposite() frame: " + frame.getWidth() + " - " + frame.getHeight());
+//
+//			//scrolledComposite.setMinSize(new Point(2000, 500));
+//			//frame.setSize(2000, 500);
+//
+//
+//
+//			// Test tool tips transparency : do not fix transparency and create error
+//	//		JFrame jFrame = new JFrame();
+//	//		//jFrame.setContentPane(panel);
+//	//		jFrame.add(panel);
+//	//		frame.add(jFrame);
+//
+//
+//			// FIXME: tests fix bug "Reset view" + Java 6 focus bugs
+//	//		this.chartPanel.addFocusListener(new FocusListener() {
+//	//
+//	//			@Override
+//	//			public void focusLost(FocusEvent e) {
+//	//				// TODO Auto-generated method stub
+//	//				System.err.println("JFCComposite.JFCComposite(...).new FocusListener() {...}.focusLost() chart panel");
+//	//			}
+//	//
+//	//			@Override
+//	//			public void focusGained(FocusEvent e) {
+//	//				// TODO Auto-generated method stub
+//	//				System.err.println("JFCComposite.JFCComposite(...).new FocusListener() {...}.focusGained() chart panel");
+//	//			}
+//	//		});
+//
+//
+//			// FIXME : axis unit square ratio tests
+//	//		this.addListener(SWT.Resize, new Listener() {
+//	//
+//	//			@Override
+//	//			public void handleEvent(Event e) {
+//	//				switch (e.type) {
+//	//					case SWT.Resize:
+//	//						System.err.println("ChartComposite.ChartComposite(...).new Listener() {...}.handleEvent()");
+//	//						resetView();
+//	//						break;
+//	//				}
+//	//
+//	//			}
+//	//		});
+//
+//
+//			//this.frame.setVisible(true);
+//			//parent.pack();
+//
+////		   }
+////	   });
 
 
-
-
-//			// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
-//			this.rootPanel = new Panel(new BorderLayout());
-//			//rootPanel.add(this.getChartPanel()); // commenter cette ligne pour le test de scrolling ci-dessous
-//			this.frame.add(this.rootPanel);
-
-
-			// FIXME: test, smarter way to embed the frame ? Actually it doesn't fix neither the tooltip transparency nor the cursor change on pan under Mac OS X
-	//		// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
-	//		Panel rootPanel = new Panel(new BorderLayout());
-	////		rootPanel.add(this.chartPanel); // commenter cette ligne pour le test de scrolling ci-dessous
-	//		frame.add(rootPanel);
-	//		JRootPane rootPane = new JRootPane();
-	//		rootPanel.add(rootPane);
-	//		rootPane.getContentPane().add(this.chartPanel);
-
-
-
-			// FIXME: tests with a JApplet as Rootpane rather than Panel
-	//		JApplet rootPanel = new JApplet();
-	//		rootPanel.add(this.chartPanel); // commenter cette ligne pour le test de scrolling ci-dessous
-	//		frame.add(rootPanel);
-
-
-
-
-			// FIXME : tests scroll Swing: les width des panel sont définies dans les méthodes de JFCChartsSwingComponentsProvider
-			// FIXME : ce code fait bugger le changement de couleur des barres au mouse over et la bordure colorée des tooltips
-			// FIXME : ce code augmente à fond la RAM consommée, il y a un prob de composants en double ?
-			// En fait c'est un problème Java2D apparemment et qui semble "normal"
-			//panel.setPreferredSize(new Dimension(20000, 300));
-	//		JScrollPane scrollpane = new JScrollPane(panel, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
-	//		frame.add(scrollpane);
-
-
-
-			// FIXME : version AWT
-			// FIXME : ce code aussi n'augmente pas la RAM consommée ? à moins que ce soit uniquement quand la largeur du panel est large (bug de JFC sur les larges plots ?)
-	//		ScrollPane scrollpane = new ScrollPane();
-	//		scrollpane.add(panel);
-	//		frame.add(scrollpane);
-
-			//frame.pack();
-
-
-			// FIXME : test scroll SWT : fonctionne presque
-	//		ScrolledComposite scrolledComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.V_SCROLL);
-	//		scrolledComposite.setExpandHorizontal(true);
-	//		scrolledComposite.setExpandVertical(true);
-	//		//parent.setLayout(new GridLayout(1, true));
-	//		parent.setLayout(new FillLayout(SWT.VERTICAL));
-	//		//parent.setLayout(new FormLayout());
-	//		this.setParent(scrolledComposite);
-	//		//this.setLayout(new FillLayout());
-	//
-	//		scrolledComposite.setContent(this);
-	//		scrolledComposite.setAlwaysShowScrollBars(true);
-	//
-	//		scrolledComposite.setMinSize(16000, 0);
-			// ********** Fin test 1
-
-
-
-			// FIXME : test scroll SWT
-	//		ScrolledComposite scrolledComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.V_SCROLL);
-	//		scrolledComposite.setExpandHorizontal(true);
-	//		scrolledComposite.setExpandVertical(true);
-	//		//parent.setLayout(new GridLayout(1, true));
-	//		parent.setLayout(new FormLayout());
-	//		this.setParent(scrolledComposite);
-	//		this.setLayout(new FillLayout());
-	//
-	//		scrolledComposite.setContent(this);
-	//		scrolledComposite.setAlwaysShowScrollBars(true);
-	//
-	//		scrolledComposite.setMinSize(16000, 500);
-	//
-	//		this.setSize(16000, 500);
-
-
-			//scrolledComposite.pack(true);
-			//scrolledComposite.setMinSize(parent.computeSize(SWT.DEFAULT, SWT.DEFAULT));
-
-	//		frame.pack();
-	//		System.err.println("JFCComposite.JFCComposite() frame: " + frame.getWidth() + " - " + frame.getHeight());
-
-			//scrolledComposite.setMinSize(new Point(2000, 500));
-			//frame.setSize(2000, 500);
-
-
-
-			// Test tool tips transparency : do not fix transparency and create error
-	//		JFrame jFrame = new JFrame();
-	//		//jFrame.setContentPane(panel);
-	//		jFrame.add(panel);
-	//		frame.add(jFrame);
-
-
-			// FIXME: tests fix bug "Reset view" + Java 6 focus bugs
-	//		this.chartPanel.addFocusListener(new FocusListener() {
-	//
-	//			@Override
-	//			public void focusLost(FocusEvent e) {
-	//				// TODO Auto-generated method stub
-	//				System.err.println("JFCComposite.JFCComposite(...).new FocusListener() {...}.focusLost() chart panel");
-	//			}
-	//
-	//			@Override
-	//			public void focusGained(FocusEvent e) {
-	//				// TODO Auto-generated method stub
-	//				System.err.println("JFCComposite.JFCComposite(...).new FocusListener() {...}.focusGained() chart panel");
-	//			}
-	//		});
-
-
-			// FIXME : axis unit square ratio tests
-	//		this.addListener(SWT.Resize, new Listener() {
-	//
-	//			@Override
-	//			public void handleEvent(Event e) {
-	//				switch (e.type) {
-	//					case SWT.Resize:
-	//						System.err.println("ChartComposite.ChartComposite(...).new Listener() {...}.handleEvent()");
-	//						resetView();
-	//						break;
-	//				}
-	//
-	//			}
-	//		});
-
-
-			//this.frame.setVisible(true);
-			//parent.pack();
-
-//		   }
-//	   });
-
-
 	}
 	
 
-	@Override
-	public void requestFocusInComposite()	{
-		EventQueue.invokeLater(new Runnable () {
-			public void run () {
-				getChartPanel().requestFocusInWindow();
-			}
-		});
-	}
 
 	/**
 	 * Gets the chart.
 	 * @return the chart
 	 */
 	public JFreeChart getChart()	{
-		return this.getChartPanel().getChart();
+		return ((ChartPanel) this.chartComponent).getChart();
 	}
 
-	/**
-	 * @return the chartPanel
-	 */
-	public ChartPanel getChartPanel() {
-		return (ChartPanel) this.chartComponent;
-	}
-	
 
 	@Override
 	public void loadChart(Object data) {
-		this.getChartPanel().setChart((JFreeChart) data);
-
-		// FIXME: for updating chart. The problem here is the theme is applied twice? one time at the creation and one time at the update?
-		//((JFCChartsEngine) this.chartEditor.getChartsEngine()).getJFCTheme().applyThemeToChart(this.chartEditor.getResultData());
+		((ChartPanel) this.chartComponent).setChart((JFreeChart) data);
 		
 		// FIXME: tests, restore the zoom from local node
 		//this.zoom(x, y, zoomIn);
@@ -282,45 +236,8 @@
 		
 	}
 
-	@Override
-	public void loadChart()	{
-		
-		// loads the chart from the result
-		Object chart = this.chartEditor.getChart();
-		
-		if(chart != null) {
-			// creates components if they not exist
-			if(this.chartComponent == null) {
-
-				// recreates the chart if not of right type
-				if(!(chart instanceof JFreeChart))	{
-					try {
-						this.chartEditor.getResult().clearLastRenderingParameters();
-						this.chartEditor.getResult().compute();
-					}
-					catch (Exception e) {
-						// TODO Auto-generated catch block
-						e.printStackTrace();
-					}
-				}
-				
-				this.chartEditor.getSWTChartsComponentsProvider().createChartContainer(this.chartEditor.getEditorInput());
-				this.chartComponent = (IChartComponent) this.chartEditor.getEditorInput().getChartContainer();
-				
-				this.rootPanel.add((Component) this.chartComponent);
-
-				this.frame.setVisible(true);
-				
-				// FIXME: useless?
-				//this.chartEditor.registerEventCallBackExtensions();
-
-			}
-			this.loadChart(this.chartEditor.getChart());
-			this.forceFocus();
-		}
-	}
-
 	
+	
 	@Override
 	public void clearChartItemsSelection() {
 		IRendererWithItemSelection renderer = null;
@@ -340,26 +257,10 @@
 	
 	@Override
 	public void copyChartViewToClipboard() {
-		this.getChartPanel().doCopy();
+		((ChartPanel) this.chartComponent).doCopy();
 	}
 
-	/**
-	 * Gets the event call back handler of the specified class.
-	 * @param listenerType
-	 * @return
-	 */
-	public EventCallBackHandler getCallBackHandler(Class listenerType)	{
-		EventCallBackHandler handler = null;
-		EventListener[] listeners = this.getChartPanel().getListeners(listenerType);
 
-		for(int i = 0; i < listeners.length; i++) {
-			if(listeners[i] instanceof EventCallBackHandler)	{
-				handler = (EventCallBackHandler) listeners[i];
-				break;
-			}
-		}
-		return handler;
-	}
 
 	@Override
 	public EventCallBackHandler getMouseCallBackHandler()	{
@@ -367,13 +268,6 @@
 	}
 
 
-	@Override
-	public EventCallBackHandler getKeyCallBackHandler() {
-		return super.getKeyCallBackHandler(this.getChartPanel());
-	}
 
 
-
-
-
 }
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 837)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 838)
@@ -232,5 +232,10 @@
 	public boolean isDrawingLines() {
 		return drawLines;
 	}
+	
+	@Override
+	public void setHasBeenComputedOnce(boolean hasBeenComputedOnce) {
+		// redefined to not reset the chart
+	}
 
 }
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 837)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 838)
@@ -32,7 +32,6 @@
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.partition.core.functions.PartitionDimensions;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Partition;
 
 
@@ -46,13 +45,6 @@
 public class ComputePartitionDimensionsBarChart extends BaseAbstractHandler {
 
 
-	// FIXME: adds a double click listener to the Corpus View
-//	static	{
-//		CorporaView.addDoubleClickListener(PartitionDimensions.class, ComputePartitionDimensionsBarChart.class);
-//	}
-	
-	
-	
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
